gnutls_openpgp_privkey_get_subkey_revoked_status(3)

NAME
gnutls_openpgp_privkey_get_subkey_revoked_status - Get the revoked status of the key

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_get_subkey_revoked_status(gnutls_openpgp_privkey_t key, unsigned int idx);

ARGUMENTS

gnutls_openpgp_privkey_t key
    the structure that contains the OpenPGP private key.

unsigned int idx
    is the subkey index

DESCRIPTION
Get revocation status of key.

RETURNS
true (1) if the key has been revoked, or false (0) if it has not, or a negative value indicates an error.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.